function k8g(){Vdd.call(this)}
function b8g(a,b,d,e){xEd.call(this,a,b,d);this.a=e}
function Ceh(a){var b;if(!a.k){b=new i8g((c$i(Zbe(a.a)),Rkj(_be(a.a))));a.k=b}return a.k}
function Beh(a){var b;if(!a.j){b=new b8g(HDd(tae(a.a)),Ceh(a),Aeh(a),fKg(nbe(a.a)));TDd((uae(a.a),b),QEd(uae(a.a)));a.j=b}return a.j}
function i8g(){Zxf.call(this,U1b);this.a=new Wyf(U1b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
G1c(4500,997,ivj,b8g);_.Ri=function(){};_.Wi=function(){this.A.Ar()};_.$i=function(){Dtf(this.a,this)};G1c(4503,2856,jwj,i8g);_.Ah=function(){return Rxf(this)};_.xr=function(){return this.a};_.yr=function(){return J2j};_.Cr=function(){var a;a=new mZf(this.n);v_d(a,gDj,q_d(sL(H0c,auj,264,[WZi(zZi(this.r,yxj),sL(e0c,auj,236,[])),WZi(zZi(this.r,eVj),sL(e0c,auj,236,[]))])));return a};_.Gr=function(){var a,b;b=new vpg(5);H5c(b,new h1g,EEj);a=new k8g;V5c(b,b.u.b,a,new Xdd(IVj));return b};G1c(4504,662,Ruj,k8g);_.md=function(a){return a._K()};G1c(4571,1,Qvj);_.pd=function(){pFd(this.b,Beh(this.a.a))};var K0b=iMd(4500),M0b=iMd(4503),L0b=iMd(4504);Cwj(so)(18);